import React__default from 'react';
import cx from 'classnames';

function Table(_ref) {
  var className = _ref.className,
      children = _ref.children;
  className = cx("border border-gray-300 rounded-lg overflow-x-auto", className);
  return /*#__PURE__*/React__default.createElement("div", {
    className: className
  }, /*#__PURE__*/React__default.createElement("table", {
    className: "w-full"
  }, children));
}
function TableHeader(_ref2) {
  var className = _ref2.className,
      children = _ref2.children;
  className = cx("bg-gray-50 uppercase text-xs text-gray-700 text-left", className);
  return /*#__PURE__*/React__default.createElement("thead", {
    className: className
  }, /*#__PURE__*/React__default.createElement("tr", {
    className: ""
  }, children));
}
function TableBody(_ref3) {
  var className = _ref3.className,
      children = _ref3.children;
  className = cx("", className);
  return /*#__PURE__*/React__default.createElement("tbody", {
    className: className
  }, children);
}
function Column(_ref4) {
  var className = _ref4.className,
      children = _ref4.children;
  className = cx("py-3 px-4 leading-4 uppercase font-semibold", className);
  return /*#__PURE__*/React__default.createElement("th", {
    className: className
  }, children);
}
function Row(_ref5) {
  var className = _ref5.className,
      children = _ref5.children;
  className = cx("border-t border-gray-300", className);
  return /*#__PURE__*/React__default.createElement("tr", {
    className: className
  }, children);
}
function Cell(_ref6) {
  var className = _ref6.className,
      children = _ref6.children,
      colSpan = _ref6.colSpan;
  className = cx("px-4 py-4 text-sm", className);
  return /*#__PURE__*/React__default.createElement("td", {
    className: className,
    colSpan: colSpan
  }, children);
}

export { Cell, Column, Row, Table, TableBody, TableHeader };
